/**
 * Usr 部件模型
 *
 * @export
 * @class UsrModel
 */
export default class UsrModel {

	/**
	 * 获取数据项集合
	 *
	 * @returns {any[]}
	 * @memberof UsrListMode
	 */
	public getDataItems(): any[] {
		return [
			{
				name: 'srfdescription',
				prop: 'subtext',
				dataType: 'TEXT',
			},
			{
				name: 'srficon',
				prop: 'icon',
				dataType: 'TEXT',
			},
			{
				name: 'srfmajortext',
				prop: 'ibizbookname',
				dataType: 'TEXT',
			},
			{
				name: 'srftag',
				prop: 'tag',
				dataType: 'LONGTEXT',
			},
			{
				name: 'srfdate',
				prop: 'createdate',
				dataType: 'DATETIME',
			},
			{
				name: 'srfkey',
				prop: 'ibizbookid',
				dataType: 'GUID',
			},
			{
				name: 'ibizbook',
				prop: 'ibizbookid',
				dataType: 'FONTKEY',
			},
      {
        name: 'n_ibizbookname_like',
        prop: 'n_ibizbookname_like',
        dataType: 'QUERYPARAM'
      },
      {
        name: 'n_price_gtandeq',
        prop: 'n_price_gtandeq',
        dataType: 'QUERYPARAM'
      },

      {
        name:'size',
        prop:'size'
      },
      {
        name:'query',
        prop:'query'
      },
      {
        name:'sort',
        prop:'sort'
      },
      {
        name:'page',
        prop:'page'
      },
      // 前端新增修改标识，新增为"0",修改为"1"或未设值
      {
        name: 'srffrontuf',
        prop: 'srffrontuf',
        dataType: 'TEXT',
      },
		]
	}

}